<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:07 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class Negocio.UserClass</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class Negocio.UserClass";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../Negocio/UserClass.html" title="class in Negocio">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../overview-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?Negocio/class-use/UserClass.html" target="_top">Frames</a></li>
<li><a href="UserClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class Negocio.UserClass" class="title">Uses of Class<br>Negocio.UserClass</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#DAO">DAO</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#Negocio">Negocio</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="DAO">
<!--   -->
</a>
<h3>Uses of <a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a> in <a href="../../DAO/package-summary.html">DAO</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../DAO/package-summary.html">DAO</a> that return <a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a></code></td>
<td class="colLast"><span class="typeNameLabel">ClaseBBDD.</span><code><span class="memberNameLink"><a href="../../DAO/ClaseBBDD.html#getObjectUser-java.lang.String-">getObjectUser</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Obtencion de un usuario de BBDD<br>

 Metodo con el que se obtendra un objeto con los datos del usuario
 solicitado</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="Negocio">
<!--   -->
</a>
<h3>Uses of <a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a> in <a href="../../Negocio/package-summary.html">Negocio</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../Negocio/package-summary.html">Negocio</a> that return <a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserProcess.</span><code><span class="memberNameLink"><a href="../../Negocio/UserProcess.html#getUser-java.lang.String-">getUser</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Obtencion de un usuario en concreto<br>

 Metodo para recuperar un objeto de la clase UserClass, este objeto estara
 servido desde DAO, desde la clase ClaseBBDD</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserProcess.</span><code><span class="memberNameLink"><a href="../../Negocio/UserProcess.html#recoverObjUser-java.lang.String-">recoverObjUser</a></span>(java.lang.String&nbsp;numCarnet)</code>
<div class="block">Obtener un usuario<br>
 Metodo que devolvera en un objeto de la clase "UserClass", en el cual
 estaran los datos individuales de un usuario en concreto.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../Negocio/package-summary.html">Negocio</a> with parameters of type <a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">UserProcess.</span><code><span class="memberNameLink"><a href="../../Negocio/UserProcess.html#actualizarUsuario-Negocio.UserClass-">actualizarUsuario</a></span>(<a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;user)</code>
<div class="block">Actualizar usuario<br>
 Metodo para actualizar los datos de un usuario concreto</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">UserProcess.</span><code><span class="memberNameLink"><a href="../../Negocio/UserProcess.html#addUsuario-Negocio.UserClass-">addUsuario</a></span>(<a href="../../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;usuario)</code>
<div class="block">Añadir un nuevo usuario<br>
 Metodo para añadir un nuevo usuario donde se pasaran los parametros
 descritos en los atributos, para que pueda realizar la accion</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../Negocio/UserClass.html" title="class in Negocio">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../overview-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?Negocio/class-use/UserClass.html" target="_top">Frames</a></li>
<li><a href="UserClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
